> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a product

> Create a new product entity.



## OpenAPI

````yaml /api-reference/openapi.json post /products
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /products:
    post:
      tags:
        - Products
      summary: Create a product
      description: Create a new product entity.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductInput'
      responses:
        '200':
          description: Product created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Product'
components:
  schemas:
    ProductInput:
      type: object
      required:
        - name
        - client_id
        - brand_id
      properties:
        name:
          type: string
          description: Product Name
        client_id:
          type: integer
          description: Client ID
        brand_id:
          type: integer
          description: Brand ID
    Product:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        client_id:
          type: integer
        brand_id:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````